#!/bin/bash
#!/usr/local/bin/bash
#La ligne suivant sert pour tester ce programme
#!/bin/bash

# Ce script sert  copier soumettre votre projet  L.S.

THISUSER=$(whoami)
DESTDIR="/home/santocan/logique/projets/"
#La ligne suivant sert pour tester ce programme
#DESTDIR="/home/lsantoca/projets/"

DIV="_"
INDIR="$PWD"
POSTFIX=projet
OUTDIR="$THISUSER$DIV$1$DIV$POSTFIX"
OUTFILE=$OUTDIR.tar

if [ ! -d $DESTDIR ]; then
    echo "Le rpertoire $DESTDIR n'existe pas."
    exit -1
fi

if [ $INDIR == $HOME ]; then
    echo "Placez vous dans un sous-rpertoire de $HOME/"
    exit -1
fi

cd ..

OUTFILES="$PWD/$OUTDIR $PWD/$OUTDIR.tar $PWD/$OUTFILE.gz $DESTDIR$OUTFILE.gz"

for fic in $OUTFILES; do
    if [ -e $fic ]; then
	NAME=$(basename $fic)
	REP=${fic/$NAME/""}
	echo "Erreur :"
	echo "fichier/rpertoire nomm $NAME existe dj"
	echo "dans le rpertoire $REP."
	exit -1
    fi
done

mkdir $OUTDIR
cp -r $INDIR/* $OUTDIR
tar cf $OUTFILE $OUTDIR
rm -r $OUTDIR

echo "Fichier $OUTFILE cre dans le rpertoire $PWD."
echo "Il contient :"
tar tf $OUTFILE
echo

echo "Creation et deplacement du fichier $OUTFILE.gz vers le repertoire  $DESTDIR"

gzip $OUTFILE
mv $OUTFILE.gz $DESTDIR

echo "Programme termin normalement."

exit 0
